com.amazon.redshift.replication.fluent.physical

## Interface ChainedPhysicalStreamBuilder

All Superinterfaces:
  ChainedCommonStreamBuilder<ChainedPhysicalStreamBuilder>

All Known Implementing Classes:
  PhysicalStreamBuilder

    public interface ChainedPhysicalStreamBuilder
    extends ChainedCommonStreamBuilder<ChainedPhysicalStreamBuilder>

### Method Summary

Methods
`RedshiftReplicationStream` `start()` Open physical replication stream.

### Methods inherited from interface com.amazon.redshift.replication.fluent.ChainedCommonStreamBuilder

`withSlotName, withStartPosition, withStatusInterval`

### Method Detail

#### start

    RedshiftReplicationStream start()
                                    throws SQLException

Open physical replication stream.

Returns:
  not null RedshiftReplicationStream available for fetch wal logs in binary form
Throws:
  `SQLException` - on error